summaryrefslogtreecommitdiff
path: root/sys-process/psmisc
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /sys-process/psmisc
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'sys-process/psmisc')
-rw-r--r--sys-process/psmisc/Manifest3
-rw-r--r--sys-process/psmisc/files/psmisc-23.2-killall_check_truncated_16_char.patch122
-rw-r--r--sys-process/psmisc/files/psmisc-23.2-old_comm_len.patch28
-rw-r--r--sys-process/psmisc/metadata.xml12
-rw-r--r--sys-process/psmisc/psmisc-23.1-r1.ebuild51
-rw-r--r--sys-process/psmisc/psmisc-23.2-r2.ebuild50
-rw-r--r--sys-process/psmisc/psmisc-23.3-r1.ebuild45
7 files changed, 311 insertions, 0 deletions
diff --git a/sys-process/psmisc/Manifest b/sys-process/psmisc/Manifest
new file mode 100644
index 000000000000..92748aa3b224
--- /dev/null
+++ b/sys-process/psmisc/Manifest
@@ -0,0 +1,3 @@
+DIST psmisc-23.1.tar.xz 296136 BLAKE2B e53f7b80f1106622d652dad772d4236a62a1eb58e277f078cf0392d5a0bd7963c66805e28f6d1300999f2e2e5dcb692b1ecb3f6d39cefa77ebbc87302cd730be SHA512 f678869ea555986a2538ada9630b74ce79304f3ee85cc9d69a3912d8d30ad491829eac0dcb69aae7003ee9b5de9645d2135b80a9e0b77824e60c417dc0be5f95
+DIST psmisc-23.2.tar.xz 303820 BLAKE2B 6c63a54b91e1e31f812bc47c10937e8767fa2990bef66ee779bf44887625719e7342da05137222a6636df7a0e520c39318faba3e7a1022c54fd9f3f172ecc851 SHA512 a8d4e91443b66de1c4418fd74b5eb6dd42caddc937e75dfb35a4e49b9b35236db779e2a480c1693bcc7feaf0957b1028850134040685e88e6ff7ffcb572e20e8
+DIST psmisc-23.3.tar.xz 311896 BLAKE2B f38360dfb037a758633a8ff25af1de70be83ae5b2f2afe856ce237ade7bd2720f7c270c5af884313177022aa70f408dfce0c39e5d847057a6fdba98e3363561c SHA512 791ffef78d87b092d653da98710b338017466a9e1e1935968b9f0194ccef8da941317aa0c39d821d46b20d95d6539ccf78e5ebb71ad1032ae62337a397180d58
diff --git a/sys-process/psmisc/files/psmisc-23.2-killall_check_truncated_16_char.patch b/sys-process/psmisc/files/psmisc-23.2-killall_check_truncated_16_char.patch
new file mode 100644
index 000000000000..bfc2a24d5de9
--- /dev/null
+++ b/sys-process/psmisc/files/psmisc-23.2-killall_check_truncated_16_char.patch
@@ -0,0 +1,122 @@
+From 1188315cd037d73bf946a0003b70c6423cc330d2 Mon Sep 17 00:00:00 2001
+From: Craig Small <csmall@enc.com.au>
+Date: Wed, 7 Nov 2018 20:13:09 +1100
+Subject: [PATCH] killall: match on 16 character commlen too
+
+The comm length increase meant killall could accomodate the
+larger comm name given out by newer kernels but it meant that
+if a user relied on the previous 16 character truncation then
+processes that used to match would fail.
+
+killall now checks to see if the the comm is the old COMM_LEN
+length and the given name is longer than old COMM_LEN and does
+a truncated match as well.
+
+References:
+ https://bugs.debian.org/912748
+---
+ ChangeLog | 3 +++
+ src/killall.c | 69 +++++++++++++++++++++++++++++++++++----------------
+ 2 files changed, 50 insertions(+), 22 deletions(-)
+
+diff --git a/ChangeLog b/ChangeLog
+index 7fd2abd..37962cb 100644
+--- a/ChangeLog
++++ b/ChangeLog
+@@ -1,3 +1,6 @@
++Changes in 23.4
++===============
++ * killall: check also truncated 16 char comm names Debian #912748
+ Changes in 23.2
+ ===============
+ * misc: Command names increased from 16 to 64 characters
+diff --git a/src/killall.c b/src/killall.c
+index 2715515..09212a4 100644
+--- a/src/killall.c
++++ b/src/killall.c
+@@ -492,6 +492,49 @@ create_pid_table(int *max_pids, int *pids)
+ return pid_table;
+ }
+
++#define strcmp2(A,B,I) (I? strcasecmp((A),(B)):strcmp((A),(B)))
++#define strncmp2(A,B,L,I) (I? strncasecmp((A),(B),(L)):strncmp((A),(B),(L)))
++static int match_process_name(
++ const char *proc_comm,
++ const int comm_len,
++ const char *proc_cmdline,
++ const char *match_name,
++ const int match_len,
++ const int got_long
++ )
++{
++ /* process is old length but matching longer */
++ if (comm_len == OLD_COMM_LEN - 1 && match_len >= OLD_COMM_LEN - 1)
++ {
++ if (got_long)
++ {
++ return (0 == strncmp2 (match_name, proc_cmdline, OLD_COMM_LEN - 1,
++ ignore_case));
++ } else {
++ return (0 == strncmp2 (match_name, proc_comm, OLD_COMM_LEN - 1,
++ ignore_case));
++ }
++ }
++
++ if (comm_len == COMM_LEN - 1 && match_len >= COMM_LEN - 1)
++ {
++ if (got_long)
++ {
++ return (0 == strncmp2 (match_name, proc_cmdline, COMM_LEN - 1,
++ ignore_case));
++ } else {
++ return (0 == strncmp2 (match_name, proc_comm, COMM_LEN - 1,
++ ignore_case));
++ }
++ }
++ /* Not old new COMM_LEN so we match all of it */
++ if (got_long)
++ {
++ return (0 == strcmp2 (match_name, proc_cmdline, ignore_case));
++ }
++ return (0 == strcmp2 (match_name, proc_comm, ignore_case));
++}
++
+ #ifdef WITH_SELINUX
+ static int
+ kill_all(int signal, int name_count, char **namelist, struct passwd *pwent,
+@@ -599,28 +642,10 @@ kill_all (int signal, int name_count, char **namelist, struct passwd *pwent)
+ {
+ if (!name_info[j].st.st_dev)
+ {
+- if (length != COMM_LEN - 1 || name_info[j].name_length < COMM_LEN - 1)
+- {
+- if (ignore_case == 1)
+- {
+- if (strcasecmp (namelist[j], comm))
+- continue;
+- } else {
+- if (strcmp(namelist[j], comm))
+- continue;
+- }
+- } else {
+- if (ignore_case == 1)
+- {
+- if (got_long ? strcasecmp (namelist[j], command) :
+- strncasecmp (namelist[j], comm, COMM_LEN - 1))
+- continue;
+- } else {
+- if (got_long ? strcmp (namelist[j], command) :
+- strncmp (namelist[j], comm, COMM_LEN - 1))
+- continue;
+- }
+- }
++ if (!match_process_name(comm, length, command, namelist[j],
++ name_info[j].name_length, got_long))
++ continue;
++
+ } else {
+ int ok = 1;
+ if (asprintf (&path, PROC_BASE "/%d/exe", pid_table[i]) < 0)
+--
+2.18.1
+
diff --git a/sys-process/psmisc/files/psmisc-23.2-old_comm_len.patch b/sys-process/psmisc/files/psmisc-23.2-old_comm_len.patch
new file mode 100644
index 000000000000..ae237e691099
--- /dev/null
+++ b/sys-process/psmisc/files/psmisc-23.2-old_comm_len.patch
@@ -0,0 +1,28 @@
+From e2cf9f3e83e0fc0278ff39a4dfc8e3f2730eebca Mon Sep 17 00:00:00 2001
+From: Craig Small <csmall@enc.com.au>
+Date: Wed, 7 Nov 2018 20:19:38 +1100
+Subject: [PATCH] misc: Remember to add comm.h too
+
+The previous commit should have included comm.h too
+---
+ src/comm.h | 6 ++++++
+ 1 file changed, 6 insertions(+)
+
+diff --git a/src/comm.h b/src/comm.h
+index b54b998..b10eb36 100644
+--- a/src/comm.h
++++ b/src/comm.h
+@@ -33,4 +33,10 @@
+ */
+ #define COMM_LEN 64
+
++/*
++ * Older kernels had only 16 characters, which means we may have to check this
++ * too
++ */
++#define OLD_COMM_LEN 16
++
+ #endif
+--
+2.18.1
+
diff --git a/sys-process/psmisc/metadata.xml b/sys-process/psmisc/metadata.xml
new file mode 100644
index 000000000000..5bf89c56ab17
--- /dev/null
+++ b/sys-process/psmisc/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>base-system@gentoo.org</email>
+ <name>Gentoo Base System</name>
+</maintainer>
+<upstream>
+ <remote-id type="sourceforge">psmisc</remote-id>
+</upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/sys-process/psmisc/psmisc-23.1-r1.ebuild b/sys-process/psmisc/psmisc-23.1-r1.ebuild
new file mode 100644
index 000000000000..1f826b2f6c36
--- /dev/null
+++ b/sys-process/psmisc/psmisc-23.1-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A set of tools that use the proc filesystem"
+HOMEPAGE="http://psmisc.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~m68k ~mips ppc ppc64 s390 sparc x86 ~amd64-linux ~x86-linux"
+IUSE="ipv6 nls selinux X"
+
+RDEPEND=">=sys-libs/ncurses-5.7-r7:0=
+ nls? ( virtual/libintl )
+ selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+ >=sys-devel/libtool-2.2.6b
+ nls? ( sys-devel/gettext )"
+
+DOCS=( AUTHORS ChangeLog NEWS README )
+
+src_configure() {
+ local myeconfargs=(
+ $(use_enable selinux)
+ --disable-harden-flags
+ $(use_enable ipv6)
+ $(use_enable nls)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+ # peekfd is a fragile crap hack #330631
+ nonfatal emake -C src peekfd || touch src/peekfd{.o,}
+ emake
+}
+
+src_install() {
+ default
+
+ use X || rm -f "${ED%/}"/usr/bin/pstree.x11
+
+ [[ -s ${ED%/}/usr/bin/peekfd ]] || rm -f "${ED%/}"/usr/bin/peekfd
+ [[ -e ${ED%/}/usr/bin/peekfd ]] || rm -f "${ED%/}"/usr/share/man/man1/peekfd.1
+
+ # fuser is needed by init.d scripts; use * wildcard for #458250
+ dodir /bin
+ mv "${ED%/}"/usr/bin/*fuser "${ED%/}"/bin || die
+}
diff --git a/sys-process/psmisc/psmisc-23.2-r2.ebuild b/sys-process/psmisc/psmisc-23.2-r2.ebuild
new file mode 100644
index 000000000000..c06e9f526a80
--- /dev/null
+++ b/sys-process/psmisc/psmisc-23.2-r2.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+DESCRIPTION="A set of tools that use the proc filesystem"
+HOMEPAGE="http://psmisc.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="ipv6 nls selinux X"
+
+RDEPEND=">=sys-libs/ncurses-5.7-r7:0=
+ nls? ( virtual/libintl )
+ selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+ >=sys-devel/libtool-2.2.6b
+ nls? ( sys-devel/gettext )"
+
+DOCS=( AUTHORS ChangeLog NEWS README )
+
+PATCHES=(
+ "${FILESDIR}/${P}-old_comm_len.patch"
+ "${FILESDIR}/${P}-killall_check_truncated_16_char.patch"
+)
+
+src_configure() {
+ local myeconfargs=(
+ --disable-harden-flags
+ $(use_enable ipv6)
+ $(use_enable nls)
+ $(use_enable selinux)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ use X || rm -f "${ED%/}"/usr/bin/pstree.x11
+
+ [[ -s ${ED%/}/usr/bin/peekfd ]] || rm -f "${ED%/}"/usr/bin/peekfd
+ [[ -e ${ED%/}/usr/bin/peekfd ]] || rm -f "${ED%/}"/usr/share/man/man1/peekfd.1
+
+ # fuser is needed by init.d scripts; use * wildcard for #458250
+ dodir /bin
+ mv "${ED%/}"/usr/bin/*fuser "${ED%/}"/bin || die
+}
diff --git a/sys-process/psmisc/psmisc-23.3-r1.ebuild b/sys-process/psmisc/psmisc-23.3-r1.ebuild
new file mode 100644
index 000000000000..7565aa7d272f
--- /dev/null
+++ b/sys-process/psmisc/psmisc-23.3-r1.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+DESCRIPTION="A set of tools that use the proc filesystem"
+HOMEPAGE="http://psmisc.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="ipv6 nls selinux X"
+
+RDEPEND=">=sys-libs/ncurses-5.7-r7:0=
+ nls? ( virtual/libintl )
+ selinux? ( sys-libs/libselinux )"
+DEPEND="${RDEPEND}
+ >=sys-devel/libtool-2.2.6b
+ nls? ( sys-devel/gettext )"
+
+DOCS=( AUTHORS ChangeLog NEWS README )
+
+src_configure() {
+ local myeconfargs=(
+ --disable-harden-flags
+ $(use_enable ipv6)
+ $(use_enable nls)
+ $(use_enable selinux)
+ )
+ econf "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ use X || rm -f "${ED}"/usr/bin/pstree.x11
+
+ [[ -s ${ED}/usr/bin/peekfd ]] || rm -f "${ED}"/usr/bin/peekfd
+ [[ -e ${ED}/usr/bin/peekfd ]] || rm -f "${ED}"/usr/share/man/man1/peekfd.1
+
+ # fuser is needed by init.d scripts; use * wildcard for #458250
+ dodir /bin
+ mv "${ED}"/usr/bin/*fuser "${ED}"/bin || die
+}